// =============================================================================
// Copyright 2012 - Allan CORNET - allan.cornet.scilab@gmail.com
// =============================================================================
// <-- JVM NOT MANDATORY -->
// =============================================================================
filename_dst = pathconvert(TMPDIR + "/saved_flac_16.flac",%F);
ref_samplerate = 44100;
ref_fmt = 'flac-int16';
ref_data = [(1:10) * 0.1 ; (1:10) * -0.001]';
sfwrite(filename_dst, ref_data, ref_samplerate, ref_fmt);
assert_checkequal(isfile(filename_dst), %t);
[data, samplerate, fmt] = sfread(filename_dst);
assert_checkequal(round(data * 100), round(ref_data * 100));
// =============================================================================
filename_ref = pathconvert(sfgettlbxpath() + "demos/demo.ogg",%f);
filename_dst = pathconvert(TMPDIR + "/demo.ogg",%F);
[data, samplerate, fmt] = sfread(filename_ref);
assert_checkequal(size(data,'*'), 713152);
assert_checkequal(samplerate, 44100);
assert_checkequal(fmt, 'ogg-vorbis');
sfwrite(filename_dst,data,samplerate,fmt);
assert_checkequal(isfile(filename_dst), %t);
// =============================================================================
filename_ref = pathconvert(sfgettlbxpath() + "tests/unit_tests/wav_16.wav",%f);
filename_dst = pathconvert(TMPDIR + "/created_wav_16.wav",%F);
[data, samplerate, fmt] = sfread(filename_ref);

assert_checkequal(size(data,'*'), 147254);
assert_checkequal(samplerate, 44100);
assert_checkequal(fmt, 'wav-int16');

sfwrite(filename_dst,data,samplerate,fmt);
assert_checkequal(isfile(filename_dst), %t);
// =============================================================================
filename_dst = pathconvert(TMPDIR + "/sfsetgetstring.wav",%F);
ref_samplerate = 44100;
ref_fmt = 'wav-int16';
ref_data = [(1:10) * 0.1 ; (1:10) * -0.001]';
sfwrite(filename_dst, ref_data, ref_samplerate, ref_fmt);
assert_checkequal(isfile(filename_dst), %t);

REF_TITLE = "sndfile test title";
assert_checkequal(sfsetstring(filename_dst, "title", REF_TITLE), %t);

REF_COPYRIGHT = "sndfile test copyright";
assert_checkequal(sfsetstring(filename_dst, "copyright", REF_COPYRIGHT), %t);

REF_SOFTWARE = "sndfile test software";
assert_checkequal(sfsetstring(filename_dst, "software", REF_SOFTWARE), %t);

REF_ARTIST = "sndfile test artist";
assert_checkequal(sfsetstring(filename_dst, "artist", REF_ARTIST), %t);

REF_COMMENT = "sndfile test comment";
assert_checkequal(sfsetstring(filename_dst, "comment", REF_COMMENT), %t);

REF_DATE = "sndfile test date";
assert_checkequal(sfsetstring(filename_dst, "date", REF_DATE), %t);

REF_ALBUM = "sndfile test album";
assert_checkequal(sfsetstring(filename_dst, "album", REF_ALBUM), %t);

REF_LICENSE = "sndfile test license";
assert_checkequal(sfsetstring(filename_dst, "license", REF_LICENSE), %t);

assert_checkequal(sfgetstring(filename_dst, "title"), REF_TITLE);
assert_checkequal(sfgetstring(filename_dst, "copyright"), REF_COPYRIGHT);
assert_checkequal(sfgetstring(filename_dst, "software"), REF_SOFTWARE + ' (' + sfversion() + ')');
assert_checkequal(sfgetstring(filename_dst, "artist"), REF_ARTIST);
assert_checkequal(sfgetstring(filename_dst, "comment"), REF_COMMENT);
assert_checkequal(sfgetstring(filename_dst, "date"), REF_DATE);
// =============================================================================


